# Uses of Class
org.apache.sling.feature.ArtifactId

Packages that use ArtifactId
Package
Description
org.apache.sling.feature
org.apache.sling.feature.builder
org.apache.sling.feature.io.archive
org.apache.sling.feature.io.artifacts

## Uses of ArtifactId in org.apache.sling.feature

Methods in org.apache.sling.feature that return ArtifactId
Modifier and Type
Method
Description
`ArtifactId`
ArtifactId.`changeClassifier(String newClassifier)`
Provide artifact id with a different classifier.
`ArtifactId`
ArtifactId.`changeType(String newType)`
Provide artifact id with a different type.
`ArtifactId`
ArtifactId.`changeVersion(String newVersion)`
Provide artifact id with a different version.
`static ArtifactId`
ArtifactId.`fromMvnId(String coordinates)`
Create a new artifact id from maven coordinates/id groupId:artifactId[:packaging[:classifier]]:version
`static ArtifactId`
ArtifactId.`fromMvnPath(String path)`
Create a new artifact id from a maven path The schema is `groupIdPath/artifactId/version/artifactId-version[-classifier].type`
`static ArtifactId`
ArtifactId.`fromMvnUrl(String url)`
Create a new artifact id from a maven url, 'mvn:' group-id '/' artifact-id [ '/' [version] [ '/' [type] [ '/' classifier ] ] ] ]
`ArtifactId[]`
Artifact.`getFeatureOrigins()`
Get the feature origins - if recorded
`ArtifactId[]`
Artifact.`getFeatureOrigins(ArtifactId self)`
Get the feature origins If no origins are recorded, the provided artifact id is returned
`ArtifactId`
Artifact.`getId()`
Get the id of the artifact.
`ArtifactId`
Feature.`getId()`
Get the id of the artifact.
`ArtifactId`
Prototype.`getId()`
Get the id of the artifact.
`static ArtifactId`
ArtifactId.`parse(String s)`
Create a new artifact id from a string, the string must either be a mvn url or a mvn id (= coordinates)
Methods in org.apache.sling.feature that return types with arguments of type ArtifactId
Modifier and Type
Method
Description
`Set<ArtifactId>`
Artifact.`getAliases(boolean includeMain)`
Obtain the alias or aliases for the artifact.
`Map<String,List<ArtifactId>>`
Prototype.`getArtifactExtensionRemovals()`
Get the list of artifacts removed from extensions The returned object is modifiable.
`List<ArtifactId>`
Prototype.`getBundleRemovals()`
Get the list of artifact removals The returned object is modifiable.
`List<ArtifactId>`
Configuration.`getFeatureOrigins()`
Get the feature origins - if recorded
`List<ArtifactId>`
Configuration.`getFeatureOrigins(String propertyName)`
Get the feature origins for a property - if recorded
`List<ArtifactId>`
Configuration.`getFeatureOrigins(String propertyName, ArtifactId self)`
Get the feature origins for a property.
`List<ArtifactId>`
Configuration.`getFeatureOrigins(ArtifactId self)`
Get the feature origins.
`List<ArtifactId>`
Feature.`getFeatureOrigins(Map<String,Object> metadata)`
Get the feature origins for the metadata- if recorded
Methods in org.apache.sling.feature with parameters of type ArtifactId
Modifier and Type
Method
Description
`int`
ArtifactId.`compareTo(ArtifactId o)`
`boolean`
Artifacts.`containsExact(ArtifactId id)`
Checks whether the exact artifact is available
`boolean`
Artifacts.`containsSame(ArtifactId id)`
Checks whether the same artifact is available, neglecting the version
`Artifact`
Artifact.`copy(ArtifactId id)`
Create a copy of the artifact with a different id
`Feature`
Feature.`copy(ArtifactId id)`
Create a copy of the feature with a different id For contained items like bundles, artifacts and configurations a copy is created as well.
`Artifact`
Artifacts.`getExact(ArtifactId id)`
Get the artifact for the given id
`ArtifactId[]`
Artifact.`getFeatureOrigins(ArtifactId self)`
Get the feature origins If no origins are recorded, the provided artifact id is returned
`List<ArtifactId>`
Configuration.`getFeatureOrigins(String propertyName, ArtifactId self)`
Get the feature origins for a property.
`List<ArtifactId>`
Configuration.`getFeatureOrigins(ArtifactId self)`
Get the feature origins.
`Artifact`
Artifacts.`getSame(ArtifactId id)`
Get the artifact for the given id, neglecting the version
`boolean`
ArtifactId.`isSame(ArtifactId id)`
Test whether the artifact id is pointing to the same artifact but potentially a different version
`boolean`
Artifacts.`removeExact(ArtifactId id)`
Remove the exact artifact.
`boolean`
Artifacts.`removeSame(ArtifactId id)`
Remove the same artifact, neglecting the version.
`void`
Artifact.`setFeatureOrigins(ArtifactId... featureOrigins)`
Set the feature origins
Method parameters in org.apache.sling.feature with type arguments of type ArtifactId
Modifier and Type
Method
Description
`void`
Configuration.`setFeatureOrigins(String propertyName, List<ArtifactId> featureOrigins)`
Set the feature origins for a property
`void`
Configuration.`setFeatureOrigins(List<ArtifactId> featureOrigins)`
Set the feature origins
`void`
Feature.`setFeatureOrigins(Map<String,Object> metadata, List<ArtifactId> featureOrigins)`
Set the feature origins for the metadata
Constructors in org.apache.sling.feature with parameters of type ArtifactId
Modifier
Constructor
Description
``
`Artifact(ArtifactId id)`
Construct a new artifact
``
`Feature(ArtifactId id)`
Construct a new feature.
``
`Prototype(ArtifactId id)`
Construct a new Include.

## Uses of ArtifactId in org.apache.sling.feature.builder

Methods in org.apache.sling.feature.builder with parameters of type ArtifactId
Modifier and Type
Method
Description
`BuilderContext`
BuilderContext.`addArtifactsOverride(ArtifactId override)`
Add an override for artifact clashes.
`static Feature`
FeatureBuilder.`assemble(ArtifactId featureId, BuilderContext context, Feature... features)`
Assemble a feature based on the provided features.
`URL`
ArtifactProvider.`provide(ArtifactId id)`
Provide the artifact with the given id.
`Feature`
FeatureProvider.`provide(ArtifactId id)`
Provide the feature with the given id.

## Uses of ArtifactId in org.apache.sling.feature.io.archive

Methods in org.apache.sling.feature.io.archive with parameters of type ArtifactId
Modifier and Type
Method
Description
`void`
ArchiveReader.ArtifactConsumer.`consume(ArtifactId artifactId, InputStream is)`
Consume the artifact from the archive The input stream must not be closed by the consumer.

## Uses of ArtifactId in org.apache.sling.feature.io.artifacts

Methods in org.apache.sling.feature.io.artifacts with parameters of type ArtifactId
Modifier and Type
Method
Description
`URL`
ArtifactManager.`provide(ArtifactId id)`